Bug 179278 - yum checksum and time out errors
yum checksum and time out errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 15:02 EST by Alejandro Jakubi
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alejandro Jakubi 2006-01-29 15:02:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am trying to install Pine 4.64 using yum from Dries site:

http://ftp.belnet.be/packages/dries.ulyssis.org/fedora/linux/$releasever/$basearch/dries/RPMS/

and for hours I get persistent checksum and time out errors from yum servers. Below is a small sample:

================

[root@localhost pine]# yum -y install pine
Setting up Install Process
Setting up repositories
dries                     100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
updates-released          100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================|  16 kB    00:12
http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/repodata/primary.xml.gz: [Errno 4] Socket Error: timed out
Trying other mirror.
primary.xml.gz            100% |=========================|  64 kB    00:27
http://ftp.chg.ru/pub/Linux/fedora/linux/extras/4/i386/repodata/primary.xml.gz: [Errno 4] Socket Error: timed out
Trying other mirror.
primary.xml.gz            100% |=========================| 1.0 MB    06:10
http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/repodata/primary.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
primary.xml.gz            100% |=========================| 840 kB    04:47
http://fedora.gtlib.cc.gatech.edu/pub/fedora.redhat/linux/extras/4/i386/repodata/primary.xml.gz: [Errno 4] Socket Error: timed out
Trying other mirror.
primary.xml.gz            100% |=========================| 8.0 kB    00:05

=============

Quite frquently time out occurs close to 99% say. This is very inefficient, I think.

Version-Release number of selected component (if applicable):
yum-2.3.2-7

How reproducible:
Always

Steps to Reproduce:
1.yum -y install pine
2.
3.
  

Actual Results:  persistent checksum and time out errors from yum servers.

Expected Results:  yum should download and install Pine 4.64

Additional info:
Comment 1 Jeremy Katz 2006-04-19 16:37:20 EDT
The cachecookie stuff in newer versions of yum should help with this problem

Note You need to log in before you can comment on or make changes to this bug.